DestinationListHandler Class Reference
Generic RTP output queues.

`#include <oqueue.h>`

Inheritance diagram for DestinationListHandler:
[legend]

## Classes

struct | TransportAddress

## Public Member Functions

| DestinationListHandler ()
| ~DestinationListHandler ()
bool | isSingleDestination () const
| Get whether there is only a destination in the list. More...
TransportAddress * | getFirstDestination () const
void | lockDestinationList () const
void | unlockDestinationList () const

## Protected Member Functions

void | writeLockDestinationList () const
bool | addDestinationToList (const InetAddress &ia, tpport_t data, tpport_t control)
| Locks the object before modifying it. More...
bool | removeDestinationFromList (const InetAddress &ia, tpport_t dataPort, tpport_t controlPort)
| Locks the object before modifying it. More...

## Protected Attributes

std::list< TransportAddress * > | destList

## Detailed Description

This class handles a list of destination addresses. Stores network addresses as InetAddress objects.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

## DestinationListHandler()

DestinationListHandler::DestinationListHandler | ( |  | ) |

## ~DestinationListHandler()

DestinationListHandler::~DestinationListHandler | ( |  | ) |

## Member Function Documentation

## addDestinationToList()

bool DestinationListHandler::addDestinationToList | ( | const InetAddress & | ia,
|  | tpport_t | data,
|  | tpport_t | control
| ) |  |

protected

Locks the object before modifying it.

## getFirstDestination()

TransportAddress* DestinationListHandler::getFirstDestination | ( |  | ) | const

inline

## isSingleDestination()

bool DestinationListHandler::isSingleDestination | ( |  | ) | const

inline

Get whether there is only a destination in the list.

## lockDestinationList()

void DestinationListHandler::lockDestinationList | ( |  | ) | const

inline

## removeDestinationFromList()

bool DestinationListHandler::removeDestinationFromList | ( | const InetAddress & | ia,
|  | tpport_t | dataPort,
|  | tpport_t | controlPort
| ) |  |

protected

Locks the object before modifying it.

## unlockDestinationList()

void DestinationListHandler::unlockDestinationList | ( |  | ) | const

inline

## writeLockDestinationList()

void DestinationListHandler::writeLockDestinationList | ( |  | ) | const

inline protected

## Member Data Documentation

## destList

std::list<TransportAddress*> DestinationListHandler::destList

protected

The documentation for this class was generated from the following file:

- oqueue.h